#!/bin/bash

cd ${0%*/*}

docker_pause=`/bin/ls docker_pause*.tar`

if [ ! -n $docker_pause ]; then
	echo "Docker Pause container image was not found"
	exit 1
fi

ex()
{
	eval "$@"
	rc=$?

	if [ $rc -ne 0 ]; then
		echo "ERROR: Failed executing $@ RC: $rc"
		exit $rc
	fi
}

ex systemctl enable kubelet.service
ex systemctl enable containerd.service

ex systemctl start kubelet.service
ex systemctl start containerd.service

ex ctr --namespace k8s.io image import $docker_pause
